Subject: Re: 24.3; core dump on NetBSD in graphical mode on files in cvs

From: Thomas Klausner <[email-masked]>
Date: Mon, 12 Aug 2013 10:18:01 +0200

Hi Paul!

First off, thanks for looking at this!

On Mon, Aug 12, 2013 at 12:19:42AM -0700, Paul Eggert wrote:
> From that description it'd be a bit painful for me to try to reproduce
> the problem, as I don't use NetBSD and don't know where to get
> NetBSD-6.99.23/amd64's /usr/pkgsrc/doc/guide/files/options.xml.
> 
> Is that file easily retrievable from somewhere?
> I could try to reproduce the problem with the Emacs trunk
> on platforms that I use.

Try this (you'll have to install cvs if you don't have it):

# cvs -d [email-masked]:/cvsroot/ co pkgsrc/doc
U pkgsrc/doc/guide/Makefile.common
U pkgsrc/doc/guide/PLIST
U pkgsrc/doc/guide/README
U pkgsrc/doc/guide/distinfo
U pkgsrc/doc/guide/files/Makefile
U pkgsrc/doc/guide/files/binary.xml
U pkgsrc/doc/guide/files/build.xml
U pkgsrc/doc/guide/files/buildlink.xml
U pkgsrc/doc/guide/files/bulk.xml
U pkgsrc/doc/guide/files/chapters.ent
U pkgsrc/doc/guide/files/components.xml
U pkgsrc/doc/guide/files/configuring.xml
U pkgsrc/doc/guide/files/creating.xml
U pkgsrc/doc/guide/files/debug.xml
U pkgsrc/doc/guide/files/devfaq.xml
U pkgsrc/doc/guide/files/editing.xml
U pkgsrc/doc/guide/files/examples.xml
U pkgsrc/doc/guide/files/faq.xml
U pkgsrc/doc/guide/files/files.xml
U pkgsrc/doc/guide/files/fixes.xml
U pkgsrc/doc/guide/files/ftp-layout.xml
U pkgsrc/doc/guide/files/getting.xml
U pkgsrc/doc/guide/files/gnome.xml
U pkgsrc/doc/guide/files/infr.design.xml
U pkgsrc/doc/guide/files/introduction.xml
U pkgsrc/doc/guide/files/logs.xml
U pkgsrc/doc/guide/files/makefile.xml
U pkgsrc/doc/guide/files/options.xml
U pkgsrc/doc/guide/files/pkginstall.xml
U pkgsrc/doc/guide/files/pkgsrc.ent
U pkgsrc/doc/guide/files/pkgsrc.xml
U pkgsrc/doc/guide/files/platforms.xml
U pkgsrc/doc/guide/files/plist.xml
U pkgsrc/doc/guide/files/porting.xml
U pkgsrc/doc/guide/files/regression.xml
U pkgsrc/doc/guide/files/submit.xml
U pkgsrc/doc/guide/files/tools.xml
U pkgsrc/doc/guide/files/using.xml
U pkgsrc/doc/guide/files/share/catalog
U pkgsrc/doc/guide/files/share/default-html-chunk.xsl
U pkgsrc/doc/guide/files/share/default-html.xsl
U pkgsrc/doc/guide/files/share/default.dsl
# emacs pkgsrc/doc/guide/files/options.xml

Another detail I just noted: the core dump only happens for me when
the emacs window first gets focus.

Cheers,
 Thomas